.container {
    display: flex;
    align-items: center;
    position: relative;
}

.box {
    padding: 10px;
    position: relative;
}

.input-container {
    position: relative;
    width: 100%;
}

.icon {
    font-size: 30px;
    position: absolute;
    left: 18px;
    top: 50%;
    transform: translateY(-50%);
}

.box input {
    padding: 25px 35px 10px 65px;
    font-size: 16px;
    border: 2px solid #ECEFF1;
    border-radius: 10px;
    outline: none;
    height: 80px;
    background: #fff;
    color: #000;
    width: 250px;
    font-weight: 500;
}

.box input::placeholder {
    font-size: 12px;
    color: #888;
}

.box label {
    font-size: 13px;
    font-weight: bold;
    position: absolute;
    left: 61px;
    top: 16px;
    background: #fff;
    padding: 0 5px;
    color: #555;
}

/* Çarpı (X) butonu */
.clear-button {
    position: absolute;
    right: 10px;
    top: 30%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    color: #888;
    font-size: 24px;
    cursor: pointer;
    display: none;
}

.clear-button:hover {
    color: #555;
}

.swap-button {
    background: #fff;
    border: 2px solid #fff;
    border-radius: 50%;
    width: 10px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: 0.3s;
    position: relative;
    z-index: 10;
    margin-right: -8px;
    margin-left: -8px;
}


.swap-button img {
    transition: transform 0.3s ease-in-out;
}


.rotate {
    transform: rotate(180deg);
}

.box:first-child {
    position: relative;
    overflow: hidden;
}

/* Sadece ilk kutu (NEREDEN) için yarım daire */
.container .nereden::after {
    content: "";
    position: absolute;
    top: 50%;
    right: -10px;
    width: 33px;
    height: 42px;
    background: #fff;
    border-radius: 50%;
    transform: translateY(-50%);
    z-index: 2;
    border-left: 2px solid #E0E0E0;
}

/* Sadece ikinci kutu (NEREYE) için yarım daire */
.container .nereye::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -10px;
    width: 33px;
    height: 42px;
    background: #fff;
    border-radius: 50%;
    transform: translateY(-50%);
    z-index: 2;
    border-right: 2px solid #E0E0E0;
}

.row-mobil {
    display: flex;
}

/* Arama Butonu */
.search-button {
    background: #6a50a7;
    /* Kırmızı arka plan */
    color: white;
    font-size: 18px;
    font-weight: bold;
    border: none;
    border-radius: 10px;
    padding: 15px 25px;
    height: 80px;
    /* Inputlarla aynı yükseklik */
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    /* İkon ve metin arasındaki boşluk */
    cursor: pointer;

}

.search-button i {
    font-size: 24px;
    /* Arama ikonu büyüklüğü */
}

.search-button:hover {
    background: #4B0082;
    /* Daha koyu kırmızı */
}


@media (max-width: 768px) {
    .desktop-text {
        display: none;
    }

    /* Mobil için */
    .container {
        display: block;
        border: none;
        padding: 0;
        text-align: center;
        /* Ortalamak için */
    }

    .input-container {
        padding: 13px;
    }

    .box {
        width: 100%;
        padding: 0px;
        margin-bottom: -12px;
        /* Aralarındaki boşluğu azalt */
    }

    .box label {
        left: 73px;
        top: 28px;
    }

    .box input::placeholder {
        font-size: 12px;
        color: #888;
    }

    .icon {
        font-size: 35px;
        position: absolute;
        left: 28px;
        top: 50%;
        transform: translateY(-50%);
    }

    .box input {
        padding: 25px 35px 10px 63px;
        width: 100%;
        max-width: 100%;
        display: block;
        margin: 0 auto;
    }

    .clear-button {
        position: absolute;
        right: 20px;
        top: 30%;
        transform: translateY(-50%);
        background: transparent;
        border: none;
        color: #888;
        font-size: 24px;
        cursor: pointer;
        display: none;
    }

    .swap-button {
        left: 84%;
        margin-top: -24px;
        margin-bottom: -28px;
        transform: translateX(-50%) rotate(90deg);
    }

    /* 1. inputun içeri taşan dairesi aşağı baksın */
    .container .box:nth-of-type(1)::after {
        content: "";
        position: absolute;
        top: auto;
        width: 40px;
        height: 40px;
        bottom: -15px;
        right: 18%;
        transform: translateX(50%) rotate(90deg);
    }

    /* 2. inputun içeri taşan dairesi yukarı baksın */
    .container .box:nth-of-type(2)::before {
        content: "";
        position: absolute;
        width: 40px;
        height: 40px;
        top: -10px;
        left: 82%;
        transform: translateX(-50%) rotate(90deg);
    }

    .search-button {
        width: 100%;
        height: 55px;
        padding: 0px 0px;
    }

    .row-mobil {
        flex-wrap: wrap;
    }

    .row-mobil .box {
        flex: 1 1 48%;
        /* col-6 gibi yan yana olması için */
        min-width: 150px;
    }
}


@media (min-width: 769px) {
    .mobile-text {
        display: none;
    }

    .daralt input {
        width: 100%;
        /* Sadece bu inputun genişliğini daralt */
    }

    .daralt2 input {
        width: 100%;
        /* Sadece bu inputun genişliğini daralt */
    }

    .daralt3 input {
        width: 100%;
        /* Sadece bu inputun genişliğini daralt */
    }

    .nereden,
    .nereye {
        flex: 2;
        /* Genişliği artır */
        min-width: 200px;
    }

    .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: space-between;
        /* Yatay hizalama */
        margin-left: 10px;
    }

    .search-button {
        width: 90%;
    }
}

.a,
.i,
.btn {
    opacity: 1 !important;
    visibility: visible !important;
    display: block !important;
    position: relative !important;
    z-index: 9999 !important;
}


h2 {
    margin: 0;
    font-size: 8em;
    padding: 0;
    color: white;
    text-shadow: 0 0.1em 20px rgba(0, 0, 0, 1), 0.05em -0.03em 0 rgba(0, 0, 0, 1),
        0.05em 0.005em 0 rgba(0, 0, 0, 1), 0em 0.08em 0 rgba(0, 0, 0, 1),
        0.05em 0.08em 0 rgba(0, 0, 0, 1), 0px -0.03em 0 rgba(0, 0, 0, 1),
        -0.03em -0.03em 0 rgba(0, 0, 0, 1), -0.03em 0.08em 0 rgba(0, 0, 0, 1), -0.03em 0 0 rgba(0, 0, 0, 1);

    span {
        transform: scale(0.9);
        display: inline-block;
    }

    span:first-child {
        animation: bop 1s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards infinite alternate;
    }
}

@keyframes bop {
    0% {
        transform: scale(0.9);
    }

    50%,
    100% {
        transform: scale(1);
    }
}

@keyframes bopB {
    0% {
        transform: scale(0.9);
    }

    80%,
    100% {
        transform: scale(1) rotateZ(-3deg);
    }
}

.input-style-yolcu {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80px;
    /* Diğer inputların yüksekliği ile aynı */
    border: 2px solid #ECEFF1;
    border-radius: 10px;
    background: #fff;
    padding: 10px;
    width: 150px;
    font-size: 14px;
}

.ctrl__counter {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.ctrl__counter-input {
    height: 100%;
    border: none;
    background: transparent;
    font-size: 16px;
    text-align: center;
}

.ctrl__button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 100%;
    border-radius: 5px;
    cursor: pointer;
    font-size: 30px;
    font-weight: bold;
    background: linear-gradient(to right, #6153fc, #f88083);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


.ctrl__button:hover {
    background: #fff;
}

.stretched-link {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 10;
}

.item {
    position: relative;
}

.card-top {
    position: absolute;
    top: 8px;
    /* Üst boşluk */
    margin-left: -25px;
}